com.hazelcast.config.cp

## Class CPSemaphoreConfig

- java.lang.Object
- - com.hazelcast.config.cp.CPSemaphoreConfig

-     public class CPSemaphoreConfig
      extends Object

  Contains configuration options for the CP `ISemaphore`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_SEMAPHORE_JDK_COMPATIBILITY` Default value for JDK compatibility mode of the CP `ISemaphore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPSemaphoreConfig()`
    `CPSemaphoreConfig(String name)`
    `CPSemaphoreConfig(String name, boolean jdkCompatible)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns name of the CP semaphore
    `boolean` | `isJDKCompatible()` Returns true if the CP `ISemaphore` is compatible with its JDK counterpart
    `CPSemaphoreConfig` | `setJDKCompatible(boolean jdkCompatible)` Sets JDK compatibility mode of the CP `ISemaphore`
    `CPSemaphoreConfig` | `setName(String name)` Sets name of the semaphore
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SEMAPHORE_JDK_COMPATIBILITY

          public static final boolean DEFAULT_SEMAPHORE_JDK_COMPATIBILITY

      Default value for JDK compatibility mode of the CP `ISemaphore`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CPSemaphoreConfig

          public CPSemaphoreConfig()

    - #### CPSemaphoreConfig

          public CPSemaphoreConfig(String name)

    - #### CPSemaphoreConfig

          public CPSemaphoreConfig(String name,
                                   boolean jdkCompatible)

  - ### Method Detail

    - #### getName

          public String getName()

      Returns name of the CP semaphore

    - #### setName

          public CPSemaphoreConfig setName(String name)

      Sets name of the semaphore

    - #### isJDKCompatible

          public boolean isJDKCompatible()

      Returns true if the CP `ISemaphore` is compatible with its JDK counterpart

    - #### setJDKCompatible

          public CPSemaphoreConfig setJDKCompatible(boolean jdkCompatible)

      Sets JDK compatibility mode of the CP `ISemaphore`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.